Loading...
Searching...
No Matches
solver_eye_rep< T, M >

## Detailed Description

template<class T, class M = rheo_default_memory_model>
class rheolef::solver_eye_rep< T, M >

Definition at line 59 of file eye.h.

Inheritance diagram for solver_eye_rep< T, M >:

## Public Member Functions

| solver_eye_rep (const solver_option &opt=solver_option())
solver_abstract_rep< T, M > * | clone () const
bool | good () const
void | update_values (const csr< T, M > &)
vec< T, M > | operator* (const vec< T, M > &x) const
vec< T, M > | solve (const vec< T, M > &x) const
vec< T, M > | trans_solve (const vec< T, M > &x) const
Public Member Functions inherited from solver_abstract_rep< T, M >
| solver_abstract_rep (const solver_option &opt)
| solver_abstract_rep (const solver_abstract_rep &x)
const solver_option & | option () const
virtual bool | initialized () const
virtual | ~solver_abstract_rep ()
virtual void | set_preconditioner (const solver_basic< T, M > &)
virtual determinant_type | det () const
virtual std::string | name () const

## Additional Inherited Members

Public Types inherited from solver_abstract_rep< T, M >
typedef csr< T, M >::size_type | size_type
Static Public Member Functions inherited from solver_abstract_rep< T, M >
static solver_abstract_rep< T, M > * | make_solver_ptr (const csr< T, M > &a, const solver_option &opt)
Protected Attributes inherited from solver_abstract_rep< T, M >
solver_option | _opt

## Constructor & Destructor Documentation

## solver_eye_rep()

template<class T , class M >

solver_eye_rep | ( | const solver_option & | opt = `solver_option()` | ) |

explicit

Definition at line 78 of file eye.h.

## Member Function Documentation

## clone()

template<class T , class M >

solver_abstract_rep< T, M > * clone | ( |  | ) | const

virtual

Reimplemented from solver_abstract_rep< T, M >.

Definition at line 85 of file eye.h.

## good()

template<class T , class M = rheo_default_memory_model>

bool good | ( |  | ) | const

Definition at line 63 of file eye.h.

## update_values()

template<class T , class M = rheo_default_memory_model>

void update_values | ( | const csr< T, M > & |  | ) |

virtual

Reimplemented from solver_abstract_rep< T, M >.

Definition at line 64 of file eye.h.

## operator*()

template<class T , class M = rheo_default_memory_model>

vec< T, M > operator* | ( | const vec< T, M > & | x | ) | const

Definition at line 65 of file eye.h.

## solve()

template<class T , class M = rheo_default_memory_model>

vec< T, M > solve | ( | const vec< T, M > & | x | ) | const

virtual

Reimplemented from solver_abstract_rep< T, M >.

Definition at line 66 of file eye.h.

## trans_solve()

template<class T , class M = rheo_default_memory_model>

vec< T, M > trans_solve | ( | const vec< T, M > & | x | ) | const

virtual

Reimplemented from solver_abstract_rep< T, M >.

Definition at line 67 of file eye.h.

The documentation for this class was generated from the following file:

- /build/rheolef-dTNbRN/rheolef-7.2/linalg/lib/eye.h